# Class BeforeTaskRenderArgs.TaskBox

java.lang.Object
org.daypilot.ui.args.gantt.BeforeTaskRenderArgs.TaskBox

Enclosing class:
  `BeforeTaskRenderArgs`

public class BeforeTaskRenderArgs.TaskBox extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AreaCollection`
  `getAreas()`
  `String`
  `getBackgroundColor()`
  `String`
  `getBackgroundImage()`
  `String`
  `getBackgroundRepeat()`
  `String`
  `getBarBackColor()`
  `String`
  `getBarColor()`
  `String`
  `getBorderColor()`
  `String`
  `getBubbleHtml()`
  `String`
  `getContextMenuClientName()`
  `String`
  `getCssClass()`
  `String`
  `getHtml()`
  `String`
  `getHtmlLeft()`
  `String`
  `getHtmlRight()`
  `String`
  `getToolTip()`
  `boolean`
  `isBarVisible()`
  `boolean`
  `isClickEnabled()`
  `boolean`
  `isDeleteEnabled()`
  `boolean`
  `isDoubleClickEnabled()`
  `boolean`
  `isMoveEnabled()`
  `boolean`
  `isResizeEnabled()`
  `boolean`
  `isRightClickEnabled()`
  `void`
  `setBackgroundColor(String backgroundColor)`
  `void`
  `setBackgroundImage(String backgroundImage)`
  `void`
  `setBackgroundRepeat(String backgroundRepeat)`
  `void`
  `setBarBackColor(String barBackColor)`
  `void`
  `setBarColor(String barColor)`
  `void`
  `setBarVisible(boolean barVisible)`
  `void`
  `setBorderColor(String borderColor)`
  `void`
  `setBubbleHtml(String bubbleHtml)`
  `void`
  `setClickEnabled(boolean clickEnabled)`
  `void`
  `setContextMenuClientName(String contextMenuClientName)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setDeleteEnabled(boolean deleteEnabled)`
  `void`
  `setDoubleClickEnabled(boolean doubleClickEnabled)`
  `void`
  `setHtml(String html)`
  `void`
  `setHtmlLeft(String htmlLeft)`
  `void`
  `setHtmlRight(String htmlRight)`
  `void`
  `setMoveEnabled(boolean moveEnabled)`
  `void`
  `setResizeEnabled(boolean resizeEnabled)`
  `void`
  `setRightClickEnabled(boolean rightClickEnabled)`
  `void`
  `setToolTip(String toolTip)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBackgroundImage

    public String getBackgroundImage()

  - ### setBackgroundImage

    public void setBackgroundImage(String backgroundImage)

  - ### getBackgroundRepeat

    public String getBackgroundRepeat()

  - ### setBackgroundRepeat

    public void setBackgroundRepeat(String backgroundRepeat)

  - ### getBubbleHtml

    public String getBubbleHtml()

  - ### setBubbleHtml

    public void setBubbleHtml(String bubbleHtml)

  - ### getBorderColor

    public String getBorderColor()

  - ### setBorderColor

    public void setBorderColor(String borderColor)

  - ### isRightClickEnabled

    public boolean isRightClickEnabled()

  - ### setRightClickEnabled

    public void setRightClickEnabled(boolean rightClickEnabled)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### getToolTip

    public String getToolTip()

  - ### setToolTip

    public void setToolTip(String toolTip)

  - ### getContextMenuClientName

    public String getContextMenuClientName()

  - ### setContextMenuClientName

    public void setContextMenuClientName(String contextMenuClientName)

  - ### getBarColor

    public String getBarColor()

  - ### setBarColor

    public void setBarColor(String barColor)

  - ### getBarBackColor

    public String getBarBackColor()

  - ### setBarBackColor

    public void setBarBackColor(String barBackColor)

  - ### isBarVisible

    public boolean isBarVisible()

  - ### setBarVisible

    public void setBarVisible(boolean barVisible)

  - ### getBackgroundColor

    public String getBackgroundColor()

  - ### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)

  - ### getHtml

    public String getHtml()

  - ### setHtml

    public void setHtml(String html)

  - ### getHtmlRight

    public String getHtmlRight()

  - ### setHtmlRight

    public void setHtmlRight(String htmlRight)

  - ### getHtmlLeft

    public String getHtmlLeft()

  - ### setHtmlLeft

    public void setHtmlLeft(String htmlLeft)

  - ### isResizeEnabled

    public boolean isResizeEnabled()

  - ### setResizeEnabled

    public void setResizeEnabled(boolean resizeEnabled)

  - ### isMoveEnabled

    public boolean isMoveEnabled()

  - ### setMoveEnabled

    public void setMoveEnabled(boolean moveEnabled)

  - ### isClickEnabled

    public boolean isClickEnabled()

  - ### setClickEnabled

    public void setClickEnabled(boolean clickEnabled)

  - ### isDoubleClickEnabled

    public boolean isDoubleClickEnabled()

  - ### setDoubleClickEnabled

    public void setDoubleClickEnabled(boolean doubleClickEnabled)

  - ### isDeleteEnabled

    public boolean isDeleteEnabled()

  - ### setDeleteEnabled

    public void setDeleteEnabled(boolean deleteEnabled)

  - ### getAreas

    public AreaCollection getAreas()